Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 813831 - sys-devel/gdb-11.1 - targ-map.c: error: initializer element is not constant
Summary: sys-devel/gdb-11.1 - targ-map.c: error: initializer element is not constant
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL: https://sourceware.org/git/?p=binutil...
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-2.34
  Show dependency tree
 
Reported: 2021-09-19 08:44 UTC by Toralf Förster
Modified: 2021-10-25 12:03 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.59 KB, text/plain)
2021-09-19 08:44 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,88.86 KB, text/plain)
2021-09-19 08:44 UTC, Toralf Förster
Details
environment (environment,109.24 KB, text/plain)
2021-09-19 08:44 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,30.57 KB, application/x-bzip)
2021-09-19 08:44 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,93.50 KB, application/x-bzip)
2021-09-19 08:44 UTC, Toralf Förster
Details
sys-devel:gdb-11.1:20210919-040041.log (sys-devel:gdb-11.1:20210919-040041.log,601.25 KB, text/plain)
2021-09-19 08:44 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,60.28 KB, application/x-bzip)
2021-09-19 08:45 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-09-19 08:44:50 UTC
                 from /var/tmp/portage/sys-devel/gdb-11.1/work/gdb-11.1/sim/bpf/../../gnulib/import/signal.h:52,
                 from targ-map.c:7:
targ-map.c:412:17: error: initializer element is not constant
  412 |   { "SIGSTKSZ", SIGSTKSZ, TARGET_SIGSTKSZ },
      |                 ^~~~~~~~
targ-map.c:412:17: note: (near initialization for ‘cb_init_signal_map[18].host_val’)
make[4]: *** [Makefile:532: targ-map.o] Error 1

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no_multilib-j4-20210918-110206

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.2.0 *
clang version 12.0.1
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.1
Python 3.9.7
Available Ruby profiles:
  (none found)
Available Rust versions:
  [1]   rust-1.55.0 *
The Glorious Glasgow Haskell Compilation System, version 8.10.4

  HEAD of ::gentoo
commit 551dcf5f61488a1e204c68969b87f0dcce5a1066
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Sun Sep 19 03:51:30 2021 +0000

    2021-09-19 03:51:28 UTC

emerge -qpvO sys-devel/gdb
[ebuild  N    ] sys-devel/gdb-11.1  USE="lzma multitarget nls python server source-highlight xml xxhash (-cet) -guile -test (-vanilla)" PYTHON_SINGLE_TARGET="python3_9 -python3_8 -python3_10"
Comment 1 Toralf Förster gentoo-dev 2021-09-19 08:44:51 UTC
Created attachment 739920 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-09-19 08:44:53 UTC
Created attachment 739923 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-09-19 08:44:54 UTC
Created attachment 739926 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-09-19 08:44:56 UTC
Created attachment 739929 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-09-19 08:44:57 UTC
Created attachment 739932 [details]
logs.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-09-19 08:44:59 UTC
Created attachment 739935 [details]
sys-devel:gdb-11.1:20210919-040041.log
Comment 7 Toralf Förster gentoo-dev 2021-09-19 08:45:00 UTC
Created attachment 739938 [details]
temp.tar.bz2
Comment 8 Sam James archtester gentoo-dev Security 2021-10-17 06:27:03 UTC
CCing vapier because IIRC he's done some work on the sim stuff. No idea right now.
Comment 10 Larry the Git Cow gentoo-dev 2021-10-25 12:03:41 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c048cebb13af66c8e1d6306a5f5491552e3a44f

commit 5c048cebb13af66c8e1d6306a5f5491552e3a44f
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-10-25 12:02:58 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-10-25 12:03:12 +0000

    sys-devel/gdb: backport glibc-2.34 build failure patch
    
    ... although I don't actually recall hitting this.
    
    Closes: https://bugs.gentoo.org/813831
    Signed-off-by: Sam James <sam@gentoo.org>

 sys-devel/gdb/files/gdb-11.1-glibc-2.34-sim.patch | 110 ++++++++++++++++++++++
 sys-devel/gdb/gdb-11.1.ebuild                     |   1 +
 2 files changed, 111 insertions(+)